import type { Config } from '@oclif/core';
import { Command } from '@oclif/core';
import { CheckCredentialsResultEnum } from '../types/check-credentials-result.enum';
import type { KysoCredentials } from '../types/kyso-credentials';
export declare abstract class KysoCommand extends Command {
    protected static readonly DATA_DIRECTORY: string;
    static args: any[];
    static tokenFilePath: string;
    private verbose;
    private previousKysoCliVerbose;
    constructor(argv: string[], config: Config);
    enableVerbose(): void;
    disableVerbose(): void;
    static removeCredentials(): void;
    static getCredentials(): KysoCredentials;
    static saveToken(token: string, organization: string | null, team: string | null, kysoInstallUrl?: string | null, username?: string | null, fixedKysoInstallUrl?: string | null): void;
    static checkCredentials(): Promise<CheckCredentialsResultEnum>;
}
