"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const kyso_store_1 = require("@kyso-io/kyso-store");
const interactive_login_1 = require("../../helpers/interactive-login");
const kyso_command_1 = require("../kyso-command");
class List extends kyso_command_1.KysoCommand {
    async run() {
        await (0, interactive_login_1.launchInteractiveLoginIfNotLogged)();
        const kysoCredentials = kyso_command_1.KysoCommand.getCredentials();
        const api = new kyso_store_1.Api();
        api.configure(`${kysoCredentials === null || kysoCredentials === void 0 ? void 0 : kysoCredentials.kysoInstallUrl}/api/v1`, kysoCredentials === null || kysoCredentials === void 0 ? void 0 : kysoCredentials.token);
        try {
            const response = await api.getAvailableThemes();
            for (const theme of response.data) {
                this.log(theme);
            }
        }
        catch (e) {
            const errorResponse = e.response.data;
            if (errorResponse.statusCode === 403) {
                this.log(`You don't have permission to list the themes`);
            }
            else {
                this.log(`Error listing themes: ${errorResponse.message}`);
            }
        }
    }
}
exports.default = List;
List.description = 'List all available themes';
List.examples = [`$ kyso theme list`];
List.args = [];
