"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const jwt_decode_1 = tslib_1.__importDefault(require("jwt-decode"));
const kyso_command_1 = require("./kyso-command");
class Push extends kyso_command_1.KysoCommand {
    async run() {
        const kysoCredentials = kyso_command_1.KysoCommand.getCredentials();
        if (kysoCredentials) {
            const decoded = (0, jwt_decode_1.default)(kysoCredentials.token);
            const user = decoded.payload;
            this.log(`You are logged into ${kysoCredentials.kysoInstallUrl} as ${user.email}.`);
        }
        else {
            this.log(`No credentials found. Please login.`);
        }
        this.log(`Your kyso data directory is ${kyso_command_1.KysoCommand.DATA_DIRECTORY}`);
    }
}
exports.default = Push;
Push.description = 'Current logged user and platform';
Push.examples = [`$ kyso whoami`];
Push.args = [];
